package cn.net.caoyao.cpzshandset.service.bll;

import java.util.List;

import android.content.Context;
import cn.net.caoyao.cpzshandset.bean.StationManagerBean;
import cn.net.caoyao.cpzshandset.db.dal.yth.YthStationManagerDal;

public class StationManagerBll {
	private YthStationManagerDal dal;
	public StationManagerBll(Context context) {
		dal = new YthStationManagerDal(context);
	}
	
	/**
	 * 插入车站信息
	 * 
	 * @param stations
	 */
	public void insertStation(List<StationManagerBean> stations) {
		dal.insertStation(stations);
	}
	/**
	 * 插入火车的其实站点
	 * @param s
	 */
	public void insertTrainStartStation(StationManagerBean s){
		dal.insertTrainStartStation(s);
	}
	/**
	 * 根据车站ID查询车站信息
	 * @param id
	 * @return
	 */
	public StationManagerBean queryStationById(int id) {
		return dal.queryStationById(id);
	}

	/**
	 * 通过发送方式获取车站列表
	 * @param transmode 1:火车    2:汽车
	 * @return
	 */
	public List<String> queryAllTrainStationName(){
		return dal.queryAllStationNameByMode(1);
	}
	
	/**
	 * 通过发送方式获取车站列表
	 * @param transmode 1:火车    2:汽车
	 * @return
	 */
	public List<StationManagerBean> queryAllTruckStations(){
		return dal.queryAllStationByMode(2);
	}

	/**
	 * 通过发送方式获取车站列表
	 * @param transmode 1:火车    2:汽车
	 * @return
	 */
	public List<StationManagerBean> queryAllTrainStationByStationName(String stationName){
		return dal.queryAllStationByModeAndName(1,stationName);
	}
	
	
	
	/**
	 * 获取查询到的地址
	 * @param condition
	 * @return
	 */
	public List<String> getAddressNameSearch(String condition){
		return dal.searchStationNameByCondition(1,condition);
	}
	/**
	 * 获取火车站点的查询信息
	 * @param stationName
	 * @param condition
	 * @return
	 */
	public List<StationManagerBean> getTrainStationSearch(String stationName,String condition){
		return dal.searchStationByCondition(1, stationName, condition);
	}
	
	/**
	 * 获取汽车站点的查询信息
	 * @param stationName
	 * @param condition
	 * @return
	 */
	public List<StationManagerBean> getTruckStationSearch(String condition){
		return dal.searchStationByCondition(2, "", condition);
	}
	
	/**
	 * 获取汽车站点列表
	 * @return
	 */
	public List<StationManagerBean> searchTruckStation(){
		return dal.searchStationByMode(2);
	}
}
